import {
    IconButton,
    SpeedDial,
    SpeedDialHandler,
    SpeedDialContent,
    SpeedDialAction,
} from "@material-tailwind/react";
import {
    PlusIcon,
    HomeIcon,
    CogIcon,
    Square3Stack3DIcon,
} from "@heroicons/react/24/outline";

import {
    Button,
    Dialog,
    DialogHeader,
    DialogBody,
    DialogFooter,
    Input,
} from "@material-tailwind/react";

import React, { useCallback,useState } from 'react';
import { useNavigate } from "react-router-dom";

import ReactWebsocket from "@/api/websocket"

export function DefaultSpeedDial() {

    const socket = new ReactWebsocket()

    const navigate = useNavigate()
    /**
     * 
     * @param path string 地址 ex '/home'
     */
    const handleClick = useCallback((path) => {
        navigate(path)
    });


    const [open, setOpen] = React.useState(false);

    const handleOpen = () => setOpen(!open);

    const [NameValue, setNameValue] = useState('');
    const [MacValue, setMacValue] = useState('');

    const AddItemClick = useCallback(() => {
        // socket.sendMessage('add', {name:NameValue,mac:MacValue}, function () { updata() })
        socket.sendMessage('add', {name:NameValue,mac:MacValue}, function () {  })
        handleOpen()
    });

    return (
        <>
            <SpeedDial>
                <SpeedDialHandler>
                    <IconButton size="lg" className="rounded-full">
                        <PlusIcon className="h-5 w-5 transition-transform group-hover:rotate-45" />
                    </IconButton>
                </SpeedDialHandler>
                <SpeedDialContent>
                    <SpeedDialAction>
                        <HomeIcon onClick={() => handleClick("/home")} className="h-5 w-5" />
                    </SpeedDialAction>
                    <SpeedDialAction>
                        <CogIcon onClick={() => handleClick("/")} className="h-5 w-5" />
                    </SpeedDialAction>
                    <SpeedDialAction>
                        <Square3Stack3DIcon onClick={handleOpen} className="h-5 w-5" />
                    </SpeedDialAction>
                </SpeedDialContent>
            </SpeedDial>
            <Dialog size="xs" open={open} handler={handleOpen}>
                <DialogHeader>添加一个wol</DialogHeader>
                <DialogBody divider>
                    <div className="flex w-100 flex-col items-end gap-6">
                        <Input size="md" label="别名" value={NameValue} onChange={e => {setNameValue(e.target.value);}} />
                        <Input size="md" label="mac地址" value={MacValue} 	onChange={e => {setMacValue(e.target.value);}} />
                    </div>
                </DialogBody>
                <DialogFooter>
                    <Button
                        variant="text"
                        color="red"
                        onClick={handleOpen}
                        className="mr-1"
                    >
                        <span>取消</span>
                    </Button>
                    <Button variant="gradient" color="green" onClick={handleOpen}>
                        <span>确认</span>
                    </Button>
                </DialogFooter>
            </Dialog>
        </>

    );
}