import React from "react";
import {
  Button,
  Dialog,
  DialogHeader,
  DialogBody,
  DialogFooter,
  Input,
} from "@material-tailwind/react";
 
export function DialogDefault() {
  const [open, setOpen] = React.useState(false);
 
  const handleOpen = () => setOpen(!open);
 
  return (
    <>
      <Button onClick={handleOpen} variant="gradient">
        Open Dialog
      </Button>
      <Dialog size="xs" open={open} handler={handleOpen}>
        <DialogHeader>添加一个wol</DialogHeader>
        <DialogBody divider>
        <div className="flex w-100 flex-col items-end gap-6">
      <Input size="md" label="别名" />
      <Input size="md" label="mac地址" />
    </div>
        </DialogBody>
        <DialogFooter>
          <Button
            variant="text"
            color="red"
            onClick={handleOpen}
            className="mr-1"
          >
            <span>取消</span>
          </Button>
          <Button variant="gradient" color="green" onClick={handleOpen}>
            <span>确认</span>
          </Button>
        </DialogFooter>
      </Dialog>
    </>
  );
}